ListTypes
curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/types/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://developer.synq.io/api/entities/custom/v1/types/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://developer.synq.io/api/entities/custom/v1/types/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"types": [
{
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"traits": {
"isModel": true,
"isSource": true,
"isBiLike": true,
"isTestType": true,
"isIgnoredInLineage": true
}
}
]
}synq.entities.custom.v1.TypesService
ListTypes
List all entities.
POST
/
api
/
entities
/
custom
/
v1
/
types
/
list
ListTypes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type ListTypesRequest · object.
Response
200 - application/json
Success
List of entities.
Show child attributes
Show child attributes
⌘I